import request from "@/api/request.js"

// 发送即使消息
export function sendMessage(data) {
	return request({
		url: `/nurseApplet/chatRecord/sendMessage`,
		method: 'post',
		data: data
	})
}


// 查询聊天记录
export function getChatRecord(data) {
	return request({
		url: `/nurseApplet/chatRecord/getChatRecord`,
		method: 'get',
		data: data
	})
}

// 标记为已读
export function markRead(data) {
	return request({
		url: `/nurseApplet/chatRecord/updateReadStatus`,
		method: 'PUT',
		data: data
	})
}